[prev in list] [next in list] [prev in thread] [next in thread] 

List:       intermezzo-cvs
Subject:    CVS: intermezzo/tests common.sh,1.46,1.47 iface_setup.sh,1.3,1.4
From:       Phil Schwan <pschwan () users ! sourceforge ! net>
Date:       2001-10-16 17:11:11
[Download RAW message or body]

Update of /cvsroot/intermezzo/intermezzo/tests
In directory usw-pr-cvs1:/tmp/cvs-serv6183/tests

Modified Files:
	common.sh iface_setup.sh 
Log Message:
I want to know why there are _any_ cvs error paths that don't leave the commit
message in the temp file.  I'd also like to know why our masquerading timeout
is so short.

Summary:
- Extended the last_rcvd record to include a 16-byte UUID and a 32-bit ctime
- Removed the replicator.db
- Extended the SysId RPC to include a UUID and protocol version
- Updated the tests to provide those UUIDs in the config files

Capital letters mean important:
IF YOU UPGRADE ANY NODES IN YOUR CLUSTER TO CVS HEAD, YOU MUST UPGRADE THEM 
ALL.  ZERO BACKWARDS COMPATIBILITY.  OTHERWISE IT WILL FAIL ON STARTUP AND YOUR
HOUSE WILL CATCH ON FIRE.

- presto24/journal.c: added some missing EXITs; we don't write the last
  backfetched ctime here, but added some comments so that future last_rcvd
  revisions don't forget about it

- lento: added the first $::PROTOCOL_VERSION

- Lento/Bootstrap.pm: check for the now-mandatory UUID in the SysId file
- Lento/Client.pm: UUID-related functions
- Lento/Fileset.pm: added tiny bits of kernel_reint and kml_truncate
infrastructure; updated the Client call
- Lento/Fsetdb.pm: more kernel_reint/kml_trunc flag goop
- Lento/KML.pm: s/%d/%s/ fixups for quads
- Lento/Replicator.pm: removed all traces of the replicatordb; added UUID and
last_backfetched_ctime to the last_rcvd structure
- Lento/Server.pm: added UUID and PROTOCOL_VERSION to the SysId packet
- Lento/InterMezzo/ReqHandler.pm: SysId handler stuff; explode if we get an old
SysId packet, or one with an unregonized protocol version
- tests/common.sh: added UUID to sysid_add, client_add, and server_add functions
- tests/iface_setup.sh: create faux UUIDs for server and clients


Index: common.sh
===================================================================
RCS file: /cvsroot/intermezzo/intermezzo/tests/common.sh,v
retrieving revision 1.46
retrieving revision 1.47
diff -U2 -r1.46 -r1.47
--- common.sh	2001/08/15 17:02:12	1.46
+++ common.sh	2001/10/16 17:11:09	1.47
@@ -283,6 +283,6 @@
 # add a sysid configuration file for the specified host
 sysid_add () {
-	if [ $# -ne 3 ]; then
-		echo "usage: sysid_add <hostname> <ip address> <device number>" 1>&2
+	if [ $# -ne 4 ]; then
+		echo "usage: sysid_add <hostname> <ip address> <device number> <uuid>" 1>&2
 		return 99
 	fi
@@ -305,5 +305,6 @@
 	test -f $SRCDIR/../devel && port=' port="2222"'
 	# ]
-	echo "<sysid psdev=\"$DEV\" bindaddr=\"$2\"$port name=\"$1\" />" > $SYSID
+
+	echo "<sysid psdev=\"$DEV\" bindaddr=\"$2\"$port name=\"$1\" uuid=\"$4\" />" > $SYSID
 	if [ $? -ne 0 ]; then
 		echo "error: 23: can't add '$1' to '$SYSID'" 1>&2
@@ -416,9 +417,9 @@
 # create all of the required configuration for an InterMezzo client
 client_add () {
-	if [ $# -ne 4 ]; then
-		echo "usage: client_add <hostname> <ip address> <alias num> <device num>" 1>&2
+	if [ $# -ne 5 ]; then
+		echo "usage: client_add <hostname> <ip address> <alias num> <device num> <uuid>" 1>&2
 		return 99
 	fi
-	sysid_add $1 $2 $4
+	sysid_add $1 $2 $4 $5
 	host_add $1 $2 $3
 	return $?
@@ -437,10 +438,10 @@
 # create all of the required configuration for an InterMezzo server
 server_add () {
-	if [ $# -ne 4 ]; then
-		echo "usage: server_add <hostname> <ip address> <alias num> <device num>" 1>&2
+	if [ $# -ne 5 ]; then
+		echo "usage: server_add <hostname> <ip address> <alias num> <device num> <uuid>" 1>&2
 		return 99
 	fi
 	servdb_add $1 $2
-	client_add $1 $2 $3 $4
+	client_add $1 $2 $3 $4 $5
 	return $?
 }

Index: iface_setup.sh
===================================================================
RCS file: /cvsroot/intermezzo/intermezzo/tests/iface_setup.sh,v
retrieving revision 1.3
retrieving revision 1.4
diff -U2 -r1.3 -r1.4
--- iface_setup.sh	2000/09/25 21:07:26	1.3
+++ iface_setup.sh	2001/10/16 17:11:09	1.4
@@ -8,14 +8,19 @@
 
 #Place server at the first host address...don't bring this down!
-# usage: server_start <host> <ip address> <alias num> <device num>
-server_add iserver  $SUBNET.1 1 1 || exit $?
+# usage: server_start <host> <ip address> <alias num> <device num> <uuid>
+server_add iserver  $SUBNET.1 1 1 12345678-4711-4711-4711-0123456789ab || exit $?
 
 # SUBNET numbering is one of the client numbering. This is unavoidable
 # since host addresses always start at 1 which we reserve for the server
+if [ $i -gt 9 ]; then
+ echo "Too many clients; tell phil to fix iface_setup.sh" 1>&2
+ exit 1
+fi
 i=1
 while [ $i -le $NUMCLIENT ]; do
  j=`expr $i + 1`
- # usage: client_add <host> <ip address> <alias num> <device num>
- client_add iclient$i $SUBNET.$j $j $j || exit $?
+ # usage: client_add <host> <ip address> <alias num> <device num> <uuid>
+ # this uuid will be invalid if $i > 9
+ client_add iclient$i $SUBNET.$j $j $j 12345678-4711-4711-4711-00000000000$i || exit $?
  i=$j
 done


_______________________________________________
intermezzo-commit mailing list
intermezzo-commit@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/intermezzo-commit

[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic